Index: trunk/LMDZ.GENERIC/libf/phystd/comgeomphy.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/comgeomphy.F90	(revision 1542)
+++ 	(revision )
@@ -1,23 +1,0 @@
-module comgeomphy
-   real,save,allocatable :: cell_area(:) ! mesh area (m2)
-   real,save,allocatable :: dx(:) ! mesh width along longitude (m)
-   real,save,allocatable :: dy(:) ! mesh width along latitude (m)
-   real,save,allocatable :: latitude(:) ! in radians
-   real,save,allocatable :: longitude(:) ! in radians
-!$OMP THREADPRIVATE(cell_area,dx,dy,latitude,longitude)
-contains
-  
-  subroutine initcomgeomphy
-  USE mod_phys_lmdz_para, only: klon_omp
-  implicit none
-    
- 
-    allocate(cell_area(klon_omp))
-    allocate(dx(klon_omp))
-    allocate(dy(klon_omp))
-    allocate(latitude(klon_omp))
-    allocate(longitude(klon_omp))
-
-  end subroutine initcomgeomphy
-  
-end module comgeomphy
Index: trunk/LMDZ.GENERIC/libf/phystd/condense_co2.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/condense_co2.F90	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/condense_co2.F90	(revision 1543)
@@ -11,5 +11,5 @@
       use aerosol_mod, only : iaero_co2
       USE surfdat_h, only: emisice, emissiv
-      USE comgeomphy, only: latitude ! in radians
+      USE geometry_mod, only: latitude ! in radians
       USE tracer_h, only: noms, rho_co2
       use comcstfi_mod, only: g, r, cpp
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_interface_dyn_phys.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_interface_dyn_phys.F90	(revision 1543)
+++ trunk/LMDZ.GENERIC/libf/phystd/dyn1d/mod_interface_dyn_phys.F90	(revision 1543)
@@ -0,0 +1,1 @@
+link ../../dynphy_lonlat/mod_interface_dyn_phys.F90
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/rcm1d.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/rcm1d.F	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/dyn1d/rcm1d.F	(revision 1543)
@@ -3,4 +3,6 @@
 ! to use  'getin'
       use ioipsl_getincom, only: getin
+      use dimphy, only : init_dimphy
+      use mod_grid_phy_lmdz, only : regular_lonlat
       use infotrac, only: nqtot, tname
       use surfdat_h, only: albedodat, phisfi, dryness, watercaptag,
@@ -9,8 +11,7 @@
      &                     dtemisice
       use comdiurn_h, only: sinlat, coslat, sinlon, coslon
-!      use comsaison_h
       use comsoil_h, only: nsoilmx, layer, mlayer, inertiedat, volcapa
       use phyredem, only: physdem0,physdem1
-      use comgeomphy, only: initcomgeomphy, cell_area
+      use geometry_mod, only: init_geometry
       use slab_ice_h, only: noceanmx
       use planete_mod, only: apoastr,periastr,year_day,peri_day,
@@ -27,4 +28,7 @@
       use regular_lonlat_mod, only: init_regular_lonlat
       use planete_mod, only: ini_planete_mod
+      use physics_distribution_mod, only: init_physics_distribution
+      use regular_lonlat_mod, only: init_regular_lonlat
+      use mod_interface_dyn_phys, only: init_interface_dyn_phys
       use inifis_mod, only: inifis
       implicit none
@@ -133,5 +137,5 @@
       character*20,allocatable :: nametrac(:)   ! name of the tracer (no need for adv trac common)
 
-      real :: latitude(1), longitude(1)
+      real :: latitude(1), longitude(1), cell_area(1)
 
 c=======================================================================
@@ -140,6 +144,6 @@
 ! initialize "serial/parallel" related stuff
 !      CALL init_phys_lmdz(iim,jjm+1,llm,1,(/(jjm-1)*iim+2/))
-      CALL init_phys_lmdz(1,1,llm,1,(/1/))
-      call initcomgeomphy
+!      CALL init_phys_lmdz(1,1,llm,1,(/1/))
+!      call initcomgeomphy
 
       !! those are defined in surfdat_h.F90
@@ -490,7 +494,13 @@
 
       ! initializations, as with iniphysiq.F90 for the 3D GCM
+      call init_physics_distribution(regular_lonlat,4,
+     &                               1,1,1,nlayer,1)
+      call init_interface_dyn_phys
       CALL init_regular_lonlat(1,1,longitude,latitude,
      &                   (/0.,0./),(/0.,0./))
-      
+      call init_geometry(1,longitude,latitude,
+     &                   (/0.,0.,0.,0./),(/0.,0.,0.,0./),
+     &                   cell_area)
+      call init_dimphy(1,nlayer) ! Initialize dimphy module
       call ini_planete_mod(nlayer,preff,ap,bp)
 
Index: trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90	(revision 1543)
@@ -10,5 +10,5 @@
   USE surfdat_h
   use comdiurn_h
-  USE comgeomphy, only: cell_area
+  USE geometry_mod, only: cell_area
   USE tracer_h
   use slab_ice_h
Index: trunk/LMDZ.GENERIC/libf/phystd/init_phys_lmdz.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/init_phys_lmdz.F90	(revision 1542)
+++ 	(revision )
@@ -1,27 +1,0 @@
-!
-! $Id$
-!
-SUBROUTINE init_phys_lmdz(iim,jjp1,llm,nb_proc,distrib)
-  USE mod_phys_lmdz_omp_data, only: klon_omp
-  USE mod_grid_phy_lmdz, only: nbp_lev
-  USE mod_phys_lmdz_para, only: init_phys_lmdz_para
-  USE mod_grid_phy_lmdz, only: init_grid_phy_lmdz
-  USE dimphy, ONLY : init_dimphy
-
-  IMPLICIT NONE
-  
-    INTEGER,INTENT(in) :: iim
-    INTEGER,INTENT(in) :: jjp1
-    INTEGER,INTENT(in) :: llm
-    INTEGER,INTENT(in) :: nb_proc
-    INTEGER,INTENT(in) :: distrib(0:nb_proc-1)
-
-
-    CALL init_grid_phy_lmdz(iim,jjp1,llm)
-    CALL init_phys_lmdz_para(iim,jjp1,nb_proc,distrib)
-!$OMP PARALLEL
-    CALL init_dimphy(klon_omp,nbp_lev)
-
-!$OMP END PARALLEL
- 
-END SUBROUTINE init_phys_lmdz  
Index: trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90	(revision 1543)
@@ -10,5 +10,5 @@
 ! create physics restart file and write time-independent variables
   use comsoil_h, only: volcapa, mlayer
-  use comgeomphy, only: cell_area
+  use geometry_mod, only: cell_area
   use surfdat_h, only: zmea, zstd, zsig, zgam, zthe, &
                        emisice, emissiv,             &
Index: trunk/LMDZ.GENERIC/libf/phystd/physiq.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1543)
@@ -19,5 +19,5 @@
       use comsaison_h, only: mu0, fract, dist_star, declin, right_ascen
       use comsoil_h, only: nsoilmx, layer, mlayer, inertiedat
-      use comgeomphy, only: latitude, longitude, cell_area
+      use geometry_mod, only: latitude, longitude, cell_area
       USE comgeomfi_h, only: totarea, totarea_planet
       USE tracer_h, only: noms, mmol, radius, rho_q, qext, &
Index: trunk/LMDZ.GENERIC/libf/phystd/rings.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/rings.F90	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/rings.F90	(revision 1543)
@@ -5,5 +5,5 @@
 
     use comdiurn_h, only: sinlat, sinlon, coslat, coslon
-    use comgeomphy, only: latitude ! (rad)
+    use geometry_mod, only: latitude ! (rad)
  
     implicit none   
Index: trunk/LMDZ.GENERIC/libf/phystd/soil.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/soil.F	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/soil.F	(revision 1543)
@@ -8,5 +8,5 @@
       use time_phylmdz_mod, only: daysec
       use planete_mod, only: year_day
-      use comgeomphy, only: longitude, latitude ! in radians
+      use geometry_mod, only: longitude, latitude ! in radians
 
       implicit none
Index: trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F	(revision 1543)
@@ -4,5 +4,5 @@
       USE surfdat_h
       USE comsoil_h
-      USE comgeomphy, ONLY: cell_area
+      USE geometry_mod, ONLY: cell_area
       USE tracer_h
 
Index: trunk/LMDZ.GENERIC/libf/phystd/writediagfi.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writediagfi.F	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/writediagfi.F	(revision 1543)
@@ -40,5 +40,5 @@
 !=================================================================
       use surfdat_h, only: phisfi
-      use comgeomphy, only: cell_area
+      use geometry_mod, only: cell_area
       use time_phylmdz_mod, only: ecritphy, day_step, iphysiq, day_ini
       USE mod_phys_lmdz_para, only : is_parallel, is_mpi_root,
Index: trunk/LMDZ.GENERIC/libf/phystd/writediagsoil.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writediagsoil.F90	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/writediagsoil.F90	(revision 1543)
@@ -13,5 +13,5 @@
 
 use comsoil_h, only: nsoilmx, inertiedat
-use comgeomphy, only: cell_area
+use geometry_mod, only: cell_area
 use time_phylmdz_mod, only: ecritphy, day_step, iphysiq
 use mod_phys_lmdz_para, only : is_mpi_root, is_master, gather
Index: trunk/LMDZ.GENERIC/libf/phystd/writediagspecIR.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writediagspecIR.F	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/writediagspecIR.F	(revision 1543)
@@ -43,5 +43,5 @@
 ! Addition by RW (2010) to allow OLR to be saved in .nc format
       use radinc_h, only : L_NSPECTI
-      use comgeomphy, only: cell_area
+      use geometry_mod, only: cell_area
       use mod_phys_lmdz_para, only : is_mpi_root, is_master, gather
       use mod_grid_phy_lmdz, only : klon_glo, Grid1Dto2D_glo,
Index: trunk/LMDZ.GENERIC/libf/phystd/writediagspecVI.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writediagspecVI.F	(revision 1542)
+++ trunk/LMDZ.GENERIC/libf/phystd/writediagspecVI.F	(revision 1543)
@@ -43,5 +43,5 @@
 ! Addition by RW (2010) to allow OSR to be saved in .nc format
       use radinc_h, only : L_NSPECTV
-      use comgeomphy, only: cell_area
+      use geometry_mod, only: cell_area
       use mod_phys_lmdz_para, only : is_mpi_root, is_master, gather
       use mod_grid_phy_lmdz, only : klon_glo, Grid1Dto2D_glo,
